head	1.6;
access;
symbols
	RELEASE_5_2_1:1.5
	RELEASE_5_2_0:1.5
	RELEASE_4_9_0:1.4
	RELEASE_5_1_0:1.4
	RELEASE_4_8_0:1.2;
locks; strict;
comment	@# @;


1.6
date	2004.01.11.15.32.07;	author netchild;	state dead;
branches;
next	1.5;

1.5
date	2003.10.22.13.21.30;	author netchild;	state Exp;
branches;
next	1.4;

1.4
date	2003.04.18.09.10.22;	author netchild;	state Exp;
branches;
next	1.3;

1.3
date	2003.04.02.10.50.38;	author netchild;	state Exp;
branches;
next	1.2;

1.2
date	2003.02.10.14.04.11;	author netchild;	state Exp;
branches;
next	1.1;

1.1
date	2003.01.11.17.25.51;	author netchild;	state Exp;
branches;
next	;


desc
@@


1.6
log
@Update to 8.0.055.p057.

As Intel uses it's own directory for ifc and icc, we don't conflict with
ifc anymore.

Because of ABI changes, you have to recompile C++ programs (don't forget
stlport-icc).

Note that this port is a _work in progress_:
 - Icc allows to use an already installed libstdc++ from gcc, this doesn't
   work yet on FreeBSD. Libstdc++ on 4.x is too old, so it's unlikely we
   can add support for it. The headers of libstdc++ shipping with FreeBSD
   5.2-CURRENT use GCCisms not (yet) supported by icc, the hardcoded search
   path for them also doesn't fit for FreeBSD 5.2-CURRENT.
 - We've incorporated parts (cxa) of the FreeBSD >= 502101 libc on < 502101
   systems. It's tested on 4.x, but not on FreeBSD < 502101.
 - Not all (new) options (including GCC compatibility) are thoroughly
   tested.

When encountering problems please report to me first instead of directly
contacting Intel.

Ackknowledgements:
 - Bradley T Hughes <bhughes@@trolltech.com> for PR 59552, it resulted in
   a modification of our libc (C++ DSO Object Destruction API) we
   incorporate in the port on < 502101 systems.
 - Marius Strobl <marius@@alchemy.franken.de> for his help with the port
   (e.g. ld.c, cxa).
@
text
@--- ia32/bin/icpc.orig	Tue Oct 21 18:57:00 2003
+++ ia32/bin/icpc	Tue Oct 21 19:11:54 2003
@@@@ -1,34 +1,65 @@@@
 #!/bin/sh
 
-if [ -z INTEL_LICENSE_FILE ]
+PREFIX=@@@@PREFIX@@@@
+export PREFIX;
+
+if [ -z "$INTEL_LICENSE_FILE" ]
 then
-INTEL_LICENSE_FILE=<INSTALLDIR>/licenses;
+INTEL_LICENSE_FILE=${PREFIX}/intel/licenses;
 else
-INTEL_LICENSE_FILE=$INTEL_LICENSE_FILE:<INSTALLDIR>/licenses;
+INTEL_LICENSE_FILE=$INTEL_LICENSE_FILE:${PREFIX}/intel/licenses;
 fi
 export INTEL_LICENSE_FILE;
 
-if [ -z LD_LIBRARY_PATH ]
+if [ -z "$LD_LIBRARY_PATH" ]
 then 
- LD_LIBRARY_PATH=<INSTALLDIR>/compiler70/ia32/lib;
+ LD_LIBRARY_PATH=${PREFIX}/intel/compiler70/ia32/lib;
 else
- LD_LIBRARY_PATH=<INSTALLDIR>/compiler70/ia32/lib:$LD_LIBRARY_PATH
+ LD_LIBRARY_PATH=${PREFIX}/intel/compiler70/ia32/lib:$LD_LIBRARY_PATH
 fi
 export LD_LIBRARY_PATH;
 
-if [ -z PATH ]
+if [ -z "$PATH" ]
 then
- PATH=<INSTALLDIR>/compiler70/ia32/bin;
+ PATH=${PREFIX}/intel/compiler70/ia32/bin;
 else
- PATH=<INSTALLDIR>/compiler70/ia32/bin:$PATH;
+ PATH=${PREFIX}/intel/compiler70/ia32/bin:$PATH;
 fi
 export PATH;
 
-export -n IA32ROOT; unset IA32ROOT;
-
 if [ $# != 0 ]
 then
- exec -a "<INSTALLDIR>/compiler70/ia32/bin/icpc" <INSTALLDIR>/compiler70/ia32/bin/icpcbin "$@@";
+ i=0
+ argc=$#
+ while [ $i -lt $argc ] ; do
+  val1=$1
+  shift
+  val2=${val1#"-openmp"}
+  if [ ${#val1} -gt ${#val2} ] ; then
+   echo "Sorry, option '$val1' is not supported on FreeBSD."
+   exit 1
+  fi
+  val2=${val1#"-par"}
+  if [ ${#val1} -gt ${#val2} ] ; then
+   echo "Sorry, option '$val1' is not supported on FreeBSD."
+   exit 1
+  fi
+  if [ "${val1}" = "-Kpic" ] || [ "${val1}" = "-KPIC" ] || \
+   [ "${val1}" = "-fpic" ] || [ "${val1}" = "-fPIC" ] ; then
+   set -- "$@@" "-Qoption,ld,-PIC"
+  fi
+  if [ "${val1}" = "-mt" ] ; then
+   unset val1
+   set -- "$@@" "-Qoption,ld,-MT"
+  fi
+  if [ "${val1}" = "-pipe" ] ; then
+    unset val1
+    set -- "$@@"
+  fi
+  set -- "$@@" "$val1"
+  i=$(($i+1))
+ done
+ exec ${PREFIX}/intel/compiler70/ia32/bin/icpcbin "$@@";
 else
- exec -a "<INSTALLDIR>/compiler70/ia32/bin/icpc" <INSTALLDIR>/compiler70/ia32/bin/icpcbin;
+ exec ${PREFIX}/intel/compiler70/ia32/bin/icpcbin;
 fi
@


1.5
log
@- Fix icc and icpc scripts (variable overriding) [1]
- Don't extract ia64 RPMs [2]
- Fix bug on some 4.7 systems [3]

Noticed by:	mi [1]
Suggested by:	mi [2]
Tested by:	Clint Olsen <clint@@0lsen.net>
@
text
@@


1.4
log
@ - back out special '-I' handling, it causes problems with the stlport [1]
   (this may break ports which depend upon OpenSSL from ports which was
   compiled as a base system replacement because it includes a system
   header directory again)
 - ignore "-pipe" in CFLAGS, this should unbreak some ports with hardcoded
   "-pipe"

Noticed by:	Krzysztof Parzyszek <kristof@@swissmail.org> [1]
Tested by:	Krzysztof Parzyszek <kristof@@swissmail.org> [1]
@
text
@d1 2
a2 2
--- ia32/bin/icpc.orig	Fri Jan 10 16:47:29 2003
+++ ia32/bin/icpc	Fri Jan 10 17:19:03 2003
d6 1
d10 1
a10 1
 if [ -z INTEL_LICENSE_FILE ]
d20 2
a21 1
 if [ -z LD_LIBRARY_PATH ]
d31 2
a32 1
 if [ -z PATH ]
@


1.3
log
@The new version of icc adds -I include paths before the standard include
path, thus adding a system path with -I results in not respecting the
sunstitute headers. This results in problems because we have some important
changes there.

Parts of this commit where
Submitted by:	marius@@alchemy.franken.de
@
text
@d3 1
a3 1
@@@@ -1,34 +1,61 @@@@
d67 4
d74 1
a74 1
+ exec ${PREFIX}/intel/compiler70/ia32/bin/icpcbin -I${PREFIX}/intel/compiler70/ia32/include -I${PREFIX}/intel/compiler70/ia32/include/substitute_headers "$@@";
@


1.2
log
@- update to 7.0.082
- fix [dfi]vec.h with stlport-iostreams
- do not install a Windows header (mathf.h)
- do not install libompstub (depends on pthread_atfork(), see PR 17437)

Submitted by:	marius@@alchemy.franken.de

- point to the icc errata after make install
@
text
@d70 1
a70 1
+ exec ${PREFIX}/intel/compiler70/ia32/bin/icpcbin "$@@";
@


1.1
log
@Add missing files for the 7.0.078 update.

Pointy hat to:	netchild
@
text
@d3 1
a3 1
@@@@ -1,29 +1,55 @@@@
a5 1
-INTEL_LICENSE_FILE=<INSTALLDIR>/licenses;
d8 9
a16 1
+INTEL_LICENSE_FILE=${INTEL_LICENSE_FILE:-${PREFIX}/intel/licenses}
@

